Subject: Re: linux-next: manual merge of the clk tree with the tegra tree

From: Thierry Reding <[email-masked]>
Date: Fri, 15 Nov 2019 10:43:40 +0100

On Fri, Nov 15, 2019 at 09:26:06AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the clk tree got conflicts in:
> 
>   include/linux/clk-provider.h
>   drivers/clk/tegra/clk-super.c
>   drivers/clk/tegra/clk-sdmmc-mux.c
>   drivers/clk/tegra/clk-periph.c
>   drivers/clk/clk.c
> 
> between commits:
> 
>   929490c73870 ("clk: tegra: periph: Add restore_context support")
>   02ee6fe5e67a ("clk: tegra: clk-super: Fix to enable PLLP branches to CPU")
>   175ea1f93c33 ("clk: tegra: clk-super: Add restore-context support")
>   837d3fa941cd ("clk: Add API to get index of the clock parent")
> 
> from the tegra tree and commits:
> 
>   68a14a5634da ("clk: tegra: clk-super: Fix to enable PLLP branches to CPU")
>   f8fd97521d63 ("clk: tegra: clk-super: Add restore-context support")
>   2b8cfd6b52cb ("clk: tegra: periph: Add restore_context support")
>   d9b86cc48283 ("clk: Add API to get index of the clock parent")
> 
> from the clk tree.
> 
> These are different version of the same patches (presumably).
> 
> I fixed it up (I just used the versions from the clk tree (since even
> though the commits have the smae author dates, the clk tree versions were
> committed later) and can carry the fix as necessary. This is now fixed
> as far as linux-next is concerned, but any non trivial conflicts should
> be mentioned to your upstream maintainer when your tree is submitted for
> merging.  You may also want to consider cooperating with the maintainer
> of the conflicting tree to minimise any particularly complex conflicts.

The versions from the clk tree are the correct ones. I forgot to rebuild
the tegra/for-next branch based on the updated clk branches that Stephen
merged.

I've done that now, so the conflicts should be gone now.

Thierry